org.apache.sling.event.jobs

## Interface QueueConfiguration

    @ProviderType
    public interface QueueConfiguration

The configuration of a queue.

Since:
  3.0

### Nested Class Summary

Nested Classes
`static class` `QueueConfiguration.ThreadPriority` The thread priority.
`static class` `QueueConfiguration.Type` The queue type.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMaxParallel()` Return the max number of parallel processes.
`int` `getMaxRetries()` Return the max number of retries, -1 for endless retry!
`int` `getOwnThreadPoolSize()` Return the size for the optional thread pool for this queue.
`int` `getRanking()` Get the ranking of this configuration.
`long` `getRetryDelayInMs()` Return the retry delay in ms
`QueueConfiguration.ThreadPriority` `getThreadPriority()` Return the thread priority for the job thread
`String[]` `getTopics()` The list of topics this queue is bound to.
`QueueConfiguration.Type` `getType()` Return the queue type.
`boolean` `isKeepJobs()` Whether successful jobs are kept for a complete history
`boolean` `isPreferRunOnCreationInstance()` Prefer to run the job on the same instance it was created on.

### Method Detail

#### getRetryDelayInMs

    long getRetryDelayInMs()

Return the retry delay in ms

Returns:
  The retry delay

#### getMaxRetries

    int getMaxRetries()

Return the max number of retries, -1 for endless retry!

Returns:
  Max number of retries

#### getType

    QueueConfiguration.Type getType()

Return the queue type.

Returns:
  The queue type

#### getThreadPriority

    QueueConfiguration.ThreadPriority getThreadPriority()

Return the thread priority for the job thread

Returns:
  Thread priority

#### getMaxParallel

    int getMaxParallel()

Return the max number of parallel processes.

Returns:
  Max parallel processes

#### getTopics

    String[] getTopics()

The list of topics this queue is bound to.

Returns:
  All topics for this queue.

#### isKeepJobs

    boolean isKeepJobs()

Whether successful jobs are kept for a complete history

Returns:
  `true` if successful jobs are kept.
Since:
  1.3

#### getOwnThreadPoolSize

    int getOwnThreadPoolSize()

Return the size for the optional thread pool for this queue.

Returns:
  A positive number or `0` if the default thread pool should be used.
Since:
  1.3

#### getRanking

    int getRanking()

Get the ranking of this configuration.

Returns:
  The ranking

#### isPreferRunOnCreationInstance

    boolean isPreferRunOnCreationInstance()

Prefer to run the job on the same instance it was created on.

Returns:
  `true` if running on the creation instance is preferred.
Since:
  1.4